Jump to content

[MODULE] Cart Details on checkout errors - [AXEL] - PS1.6 /PS1.5 /PS1.4


axelmdp
 Share

Recommended Posts

Module description

This module shows a more descriptive error message on the checkout process, when there is in the cart at least one product that cannot be purchased. The default behavior on Prestashop, is to show just a generic message saying: "An item in your cart is no longer available in this quantity, you cannot proceed with your order" .The possible reasons for this situation are four:

  • A product on the cart that is no longer active;
  • A product on the cart that is no longer available for order;
  • A product on the cart has more quantity that the stock availability;
  • A product on the cart that is currently out of stock;

With this module your customers will see all the information that they need. Also it shows an "Automatic Adjustment" button, that allows to the customer set his cart with the best possible quantities. When the user clicks it, all invalid products will be deleted from the cart, and the quantity of all products whose stock is overcomed will be set to the maximum value.

post-332972-0-05903600-1359674680_thumb.png . . post-332972-0-17972900-1359675452_thumb.png

Module usage

The installation is quite easy. The install procedure it is same as any other prestashop module. The module will take place whenever the customer tries to do a checkout with at least one product on the situation previously described. If you want to force the situation to test it, you can do something like this:
On the front office, add several products with different quantities to the cart. Then, from BO edit some of these products: turn at least one to status disabled, at least one not available for order, and diminish the quantity on stock to a value minor than the quantity added to the cart. Upon that operations, come back to the FO and try go to the check out. Without the module, you'll see the generic (and confusing) message. With this module, it will be improved!



Compatible Version post-332972-0-39946300-1349750221.png
Prestashop 1.4.x.y 1.5.x.y and NOW SUPPORTS PS1.6.x.y!!!

Pricing

This module costs a donation of at least
U$S 16,00 . Then, you can use it on all sites that you want.

How to purchase it

To purchase it, please contact me. I accept the donation via Paypal. You can see my skype ID on my profile, or send me a private message with your contact details to ask my Paypal account. Once I receive the donation, I'll give you the module files.

If you have any question, please don't hesitate to post it here on the forum.

Support

I am committed to providing all the support needed for the module to work perfectly on your site. I'm a System Engineer, with a lot of experience on software development. You'll can ask me for support whenever you need it. I look forward for your comments.


Thank you very much.

Axel ;)

-----------------------
Another useful module:
LoginAsCustomer for PS1.5
MultiTabsForProducts

Edited by axelmdp (see edit history)
  • Like 6

Share this post


Link to post
Share on other sites

  • 1 month later...
  • 3 weeks later...
  • 4 weeks later...

Does it work with PS 1.4?

Also, I have this one page checkout module http://www.canin.sk/...e-checkout.html

Can your module work together with the above one?

 

Hello Marius, thanks for asking. Because the existing limitations on PS 1.4, I cannot make it work like a module. I only can adapt it like an override.

 

Regarding to work together with the module, I'm pretty sure that it will work ok. However I don't exactly know what changes that module introduces. If you have an online store with that module, maybe I'll can check it on the FO and give you an exact response.

 

Please, feel free to send me a PM or add me on skype, in order to review your particular situation.

 

Thanks!

 

Axel

Share this post


Link to post
Share on other sites

Hello,

 

Axel managed to adapt his module to my PS1.4. Thus, he made it work perfectly with my onepagecheckout module which I already had.

Very good job! Made a donation of $25 and I recommend him!

Almost forgot, he also fixed a cart bug which was inherent in PS1.4 !

 

Marius

Share this post


Link to post
Share on other sites

  • 2 weeks later...
  • 3 weeks later...
  • 3 weeks later...
  • 5 weeks later...
  • 1 month later...

Thanks a lot Axel.

Works perfectly, installed in a few seconds.

It is really user friendly for customers! well done.

Thanks also for your fast reply.

 

I really recomend this module and Axel.

FYI I run: PS 1.5.2.0, one page checkout

http://terroirs.hk

 

I just changed the text "xxxx is no longer active" into "xxxx is discontinued" which is more understable for my eshop/consumers. That's really a minor thing.

 

Thanks!

Paul

Share this post


Link to post
Share on other sites

  • 2 weeks later...

Module description

 

This module shows a more descriptive error message on the checkout process, when there is in the cart at least one product that cannot be purchased. The default behavior on Prestashop, is to show just a generic message saying: "An item in your cart is no longer available in this quantity, you cannot proceed with your order" .The possible reasons for this situation are four:

  • A product on the cart that is no longer active;
  • A product on the cart that is no longer available for order;
  • A product on the cart has more quantity that the stock availability;
  • A product on the cart that is currently out of stock;
With this module your customers will see all the information that they need. Also it shows an "Automatic Adjustment" button, that allows to the customer set his cart with the best possible quantities. When the user clicks it, all invalid products will be deleted from the cart, and the quantity of all products whose stock is overcomed will be set to the maximum value.

 

attachicon.gifCart-Test-Shop.png . . attachicon.gifCart-Test-Shop2.png

 

Module usage

 

The installation is quite easy. The install procedure it is same as any other prestashop module. The module will take place whenever the customer tries to do a checkout with at least one product on the situation previously described. If you want to force the situation to test it, you can do something like this:

On the front office, add several products with different quantities to the cart. Then, from BO edit some of these products: turn at least one to status disabled, at least one not available for order, and diminish the quantity on stock to a value minor than the quantity added to the cart. Upon that operations, come back to the FO and try go to the check out. Without the module, you'll see the generic (and confusing) message. With this module, it will be improved!

 

 

Compatible Version post-332972-0-39946300-1349750221.png

Prestashop 1.5.x.y

 

Pricing

 

This module costs a donation of at least

U$S 16,00 . Then, you can use it on all sites that you want.

 

How to purchase it

 

To purchase it, please contact me. I accept the donation via Paypal. You can see my skype ID on my profile, or send me a private message with your contact details to ask my Paypal account. Once I receive the donation, I'll give you the module files.

 

If you have any question, please don't hesitate to post it here on the forum.

 

Support

 

I am committed to providing all the support needed for the module to work perfectly on your site. I'm a System Engineer, with a lot of experience on software development. You'll can ask me for support whenever you need it. I look forward for your comments.

 

Thank you very much.

 

Axel ;)

-----------------------

Another useful module:

LoginAsCustomer for PS1.5

MultiTabsForProducts

 

Very nice module!perfect to use!

Share this post


Link to post
Share on other sites

Thank you Axel. We have been trying to fix this problem for the last one year but with no success. Your module is what we have been looking for. Your customer service is second to none. Job well done

I really recomend this module & the support done by Axel.

Semir

Share this post


Link to post
Share on other sites

  • 4 weeks later...
  • 2 weeks later...
  • 1 month later...
  • 1 month later...
  • 1 month later...
  • 3 weeks later...
  • 4 weeks later...

Hello Alex, I received and installed your module, and simply fantastic, easy to install, perfect for the version 1.5.6.2. Thanks Pino


Vengo da 8 anni di Oscommerce e da poco ho installato Prestashop questo modulo era proprio quello che cercavo dato che faccio prevalentemente b2b.Grazie Axel,e un saluto dall'Italia.


Share this post


Link to post
Share on other sites

  • 2 weeks later...

Hello everyone!!! I modified the module to make it 100% compatible with PS1.6. Free update for all who have already purchased it  :)  Just send me an email or P.M., or post it here, and I'll send you the update.

 

Thanks!!!

 

Axel

  • Like 1

Share this post


Link to post
Share on other sites

  • 3 weeks later...
  • 2 weeks later...

Excelente tanto el modulo como el trato recibido por Axel.

Había un bug en mi versión de prestashop 1.5.4.1 y Axel me aviso antes de obtener el modulo y me mando el fichero modificado para solucionar el bug.

De momento todo correcto y funcionando en mi versión de prestashop 1.5.4.1.

 

Gracias.

Saludos

  • Like 1

Share this post


Link to post
Share on other sites

  • 2 weeks later...
  • 3 months later...
  • 2 weeks later...
  • 4 weeks later...
  • 3 months later...

Found this module today, send Alex a mail and only a few hours later this module paid, tested and up and running on my site without a problem.

This makes a lot of difference for myself and my customers in finding the missing products in a cart

just perfect!!

a big thanks for Alex :)

Share this post


Link to post
Share on other sites

  • 1 month later...

Hi Axel,

 

I've one shop with PS 1.5.4.0

 

I work with products without stock, The products have stock unlimited but, sometimes, the product is out of stock and I disable. 

 

At this time a customer, who had the product in your cart or past orders could return to buy this product, receive message "An item in your cart is no longer available. You cannot proceed with your order.".

 

Does your module write the product's name without stock? Is correct?

 

 

Best regards

 

Share this post


Link to post
Share on other sites

Hi Axel,

 

I've one shop with PS 1.5.4.0

 

I work with products without stock, The products have stock unlimited but, sometimes, the product is out of stock and I disable. 

 

At this time a customer, who had the product in your cart or past orders could return to buy this product, receive message "An item in your cart is no longer available. You cannot proceed with your order.".

 

Does your module write the product's name without stock? Is correct?

 

 

Best regards

Hello maestrosombrita, thanks for writing me.

 

Regarding to your question, you are 100% correct. My module acts EXACTLY in the same situations in which prestashop would show such generic message. My code overrides the default behavior and adds the details in the message.

 

If you have more questions, please don't hesitate to write me. If you want the module, please let me know.

 

Thanks!

 

Axel

Share this post


Link to post
Share on other sites

  • 2 months later...

Module works like a charm  :)

I use PS 1.6

 

thanks Axel !

 

Thank you Alex! I'm glad you like it the module, and thanks for your feedback, I really appreciate it.  :)

 

Kind Regards,

 

Axel

Share this post


Link to post
Share on other sites

  • 2 months later...
  • 3 months later...

We are using this module and recommend it as a proper solution for Prestashop's imperfection in regards of handling cart adjustments. We appreciate the author and are glad to say thank you with an additional donation for his instant and effective support with module customization which perfectly suits our needs.

Edited by Detailer (see edit history)
  • Like 1

Share this post


Link to post
Share on other sites

  • 3 weeks later...

Very fast response from Mr. Axel and Module worked like a charm very impressed with how easy this fix was to a very glaring problem in Prestashop well worth the donation and recommended to anyone who wishes to upgrade there Prestashop experience for customers as they cannot check out if an item sitting in their cart has been disabled or removed.  Very well done!

Share this post


Link to post
Share on other sites

  • 2 months later...
  • 5 months later...

Your module working with OnePageCheckout ( http://addons.prestashop.com/en/6841-one-page-checkout-for-prestashop.html?pab=1& ) and PS 1.6.1.6 ?

Hi nicubarbu. To be honest, I couldn't know it because I don't have that module. However, I think it's very likely that has some incompatibility issues with the module, due the One Page Checkout module's nature.

 

I've had to customize my own module to adapt it to other module's like the one you mentioned (e.g., this one: http://www.presteamshop.com/en/modules-prestashop/one-page-checkout-prestashop.html ); but it takes an additional effort.

Share this post


Link to post
Share on other sites

  • 3 months later...
  • 3 months later...
Ciao Axel,

I have bought your module from you time ago version 1.2.0, recently I have update my prestashop to 1.6 with a new theme, actually warning messages comes out only when the customer are in the cart, nothing happen if you try to add (over) in category or product page, could you help me?

thanks

Share this post


Link to post
Share on other sites

 

Ciao Axel,
I have bought your module from you time ago version 1.2.0, recently I have update my prestashop to 1.6 with a new theme, actually warning messages comes out only when the customer are in the cart, nothing happen if you try to add (over) in category or product page, could you help me?
thanks

 

Ciao sd+,

 

Thanks for writing me. According to what you've written, I infer that the issue wouldn't be related with my module; it seems to be related with prestashop itself, during the process of adding a product. Yes, I could try to help you. Please send me a PM with your contact details, so we can get in touch and solve the issue.

 

I look forward for your message. Thanks!

 

Axel

Share this post


Link to post
Share on other sites

Hi axelmdp!

 

Do you know if this module works with super checkout this one https://addons.prestashop.com/en/express-checkout-process/18016-knowband-one-page-checkout-social-login-mailchimp.html

 

Best regards

MacRoy

 

Hello McRoy. Thanks for writing me. To be honest, I don't have such module to analyze it. Though, I'd think that my module wouldn't work without modifications along with another module that modifies something in the checkout page.

Share this post


Link to post
Share on other sites

I just say really thanks to Axel!

 

the problem depended from the new theme, some missing part in a standard java script modified from the theme's developer, 

Axel has supported me completely, finded it & solved it

His module work perfectly as always

great!  :)

 


Share this post


Link to post
Share on other sites

  • 9 months later...
On 1/2/2013 at 12:48 AM, axelmdp said:

Module description

This module shows a more descriptive error message on the checkout process, when there is in the cart at least one product that cannot be purchased. The default behavior on Prestashop, is to show just a generic message saying: "An item in your cart is no longer available in this quantity, you cannot proceed with your order" .The possible reasons for this situation are four:

  • A product on the cart that is no longer active;
  • A product on the cart that is no longer available for order;
  • A product on the cart has more quantity that the stock availability;
  • A product on the cart that is currently out of stock;

With this module your customers will see all the information that they need. Also it shows an "Automatic Adjustment" button, that allows to the customer set his cart with the best possible quantities. When the user clicks it, all invalid products will be deleted from the cart, and the quantity of all products whose stock is overcomed will be set to the maximum value.

post-332972-0-05903600-1359674680_thumb.png . . post-332972-0-17972900-1359675452_thumb.png

Module usage

The installation is quite easy. The install procedure it is same as any other prestashop module. The module will take place whenever the customer tries to do a checkout with at least one product on the situation previously described. If you want to force the situation to test it, you can do something like this:
On the front office, add several products with different quantities to the cart. Then, from BO edit some of these products: turn at least one to status disabled, at least one not available for order, and diminish the quantity on stock to a value minor than the quantity added to the cart. Upon that operations, come back to the FO and try go to the check out. Without the module, you'll see the generic (and confusing) message. With this module, it will be improved!



Compatible Version post-332972-0-39946300-1349750221.png
Prestashop 1.4.x.y 1.5.x.y and NOW SUPPORTS PS1.6.x.y!!!

Pricing

This module costs a donation of at least
U$S 16,00 . Then, you can use it on all sites that you want.

How to purchase it

To purchase it, please contact me. I accept the donation via Paypal. You can see my skype ID on my profile, or send me a private message with your contact details to ask my Paypal account. Once I receive the donation, I'll give you the module files.

If you have any question, please don't hesitate to post it here on the forum.

Support

I am committed to providing all the support needed for the module to work perfectly on your site. I'm a System Engineer, with a lot of experience on software development. You'll can ask me for support whenever you need it. I look forward for your comments.


Thank you very much.

Axel ;)

-----------------------
Another useful module:
LoginAsCustomer for PS1.5
MultiTabsForProducts

Hi. I can't find this module on Addons. Where to buy it?
Many thanks

Share this post


Link to post
Share on other sites

1 hour ago, jruspante said:

Hi. I can't find this module on Addons. Where to buy it?
Many thanks

Hi! Thanks for share your question. This module is not on Addons; I'm offering it though this post. If you want to have it, please send me a PM.

Thanks!

 

Share this post


Link to post
Share on other sites

  • 4 months later...

Hello, please, it's not working for me now.

I have the version of prestashop 1.6.0.9 I changed the theme and now the automatic adjustment does not work.

Please alex can you help me?

Thank you.

Edited by anandalor
Perfecto!! he conseguido que funcione. Gracias a Alex, siempre tan eficaz!! (see edit history)

Share this post


Link to post
Share on other sites

  • 10 months later...
  • 1 year later...
Quote

Do it works for 1.7 version?

Hi @Empo, thanks for writing. At the moment I think it doesn't work on PS1.7. To be honest, since there wasn't any bug reported for previous versions (PS1.6, PS1.5, PS1.4), I haven't performed maintenance of the module during a very long time. However, if you're willing to have it for PS1.7, I could upgrade the module so that it supports PS1.7. This might take a couple of days, maybe a week. Please confirm it, and then I'll do it.

Thakns!!!

P.S: For some reason, I noticed I've overlooked also a message from @francescopepoli, which is from more than a year ago. I'm sorry, I haven't seen until now. This answer is also for that message.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More